package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.flow.entity.FlowChart;
import com.lz.modules.flow.model.FlowChartDto;
import com.lz.modules.flow.model.FlowChartRoleDto;

import java.util.List;

/**
* <p>
* 流程图，lz_flow的父 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-13
*/
public interface FlowChartService extends IService<FlowChart> {



	FlowChart selectFlowChartById(Long id);


	Long insertFlowChart(FlowChart flowChart);


	int updateFlowChartById(FlowChart flowChart);


	int updateCoverFlowChartById(FlowChart flowChart);


	int deleteFlowChartById(Long id);


	List<FlowChart> selectFlowChartByFlowManagerId(Long id);

    List<FlowChartRoleDto> selectChartRoleByChartId(Long id);

	List<FlowChartDto> selectFlowChartDtoByFlowManagerId(Long id);

    List<FlowChart> selectFlowChartsByGroupId(Long groupId);
	//获取前端可设置的权限
    List<FlowChartRoleDto> selectCanSetChartRoleByChartId(Long id);
}